export default class CSVExport {
    static _getStringifyOptions(delimiter: any): any;
    constructor(fetchMethod: any, { filename, delimiter }: {
        filename: any;
        delimiter: any;
    });
    filename: string;
    fetchMethod: any;
    downloadProgress: {
        count: number;
    };
    delimiter: any;
    resetProgress(): void;
    zippingProgress: {
        percent: number;
    };
    save(csv: any): void;
    stringify(params?: {}): Promise<string>;
    export(params: any): Promise<void>;
}
